%bcond_with bootstrap
Name:           python-wheel
Version:        0.31.1
Release:        6
Epoch:          1
Summary:        Built-package format for Python
License:        MIT
URL:            https://github.com/pypa/wheel
Source0:        %{url}/archive/%{version}/wheel-%{version}.tar.gz
BuildArch:      noarch

Patch0000:      remove-keyrings.alt-dependency.patch
Patch0001:      0001-Enabled-Intersphinx-linking-to-Python-documentation.patch
Patch0002:      CVE-2022-40898.patch

%description
A built-package format for Python.
A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

%package -n     python2-wheel
Summary:        Built-package format for Python
BuildRequires:  python2-devel python2-setuptools
%if ! %{with bootstrap}
BuildRequires:  python2-pytest python2-pyxdg python2-keyring
%endif
%{?python_provide:%python_provide python2-wheel}

%description -n python2-wheel
A built-package format for Python.
A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.
Python 2 version.


%package -n     python3-wheel
Summary:        Built-package format for Python
BuildRequires:  python3-devel python3-setuptools
%if %{without bootstrap}
BuildRequires:  python3-pytest python3-pyxdg python3-keyring
%endif
%{?python_provide:%python_provide python3-wheel}

%description -n python3-wheel
A built-package format for Python.
A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.
Python 3 version.


%if %{without bootstrap}
%package wheel
Summary:        The Python wheel module packaged as a wheel

%description wheel
A Python wheel of wheel to use with virtualenv.
%endif


%prep
%autosetup -n wheel-%{version} -p1
sed -ie '1d' wheel/{egg2wheel,wininst2wheel}.py


%build
%py2_build
%py3_build

%if %{without bootstrap}
%py3_build_wheel
%endif


%install
%py3_install
mv %{buildroot}%{_bindir}/wheel{,-%{python3_version}}
ln -s wheel-%{python3_version} %{buildroot}%{_bindir}/wheel-3

%py2_install
mv %{buildroot}%{_bindir}/wheel{,-%{python2_version}}
ln -s wheel-%{python2_version} %{buildroot}%{_bindir}/wheel-2
ln -s wheel-2 %{buildroot}%{_bindir}/wheel

%if %{without bootstrap}
install -d %{buildroot}%{_datadir}/python-wheels
install -p dist/wheel-%{version}-py2.py3-none-any.whl -t %{buildroot}%{_datadir}/python-wheels


%check
export LC_ALL=C.UTF-8
rm setup.cfg
PYTHONPATH=%{buildroot}%{python2_sitelib} py.test-2 -v --ignore build
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-3 -v --ignore build
%endif


%files -n python2-wheel
%license LICENSE.txt
%doc CHANGES.txt README.rst
%{_bindir}/wheel
%{_bindir}/wheel-2*
%{python2_sitelib}/wheel*

%files -n python3-wheel
%license LICENSE.txt
%doc CHANGES.txt README.rst
%{_bindir}/wheel-3*
%{python3_sitelib}/wheel*

%if %{without bootstrap}
%files wheel
%license LICENSE.txt
%dir %{_datadir}/python-wheels/
%{_datadir}/python-wheels/wheel-%{version}-py2.py3-none-any.whl
%endif

%changelog
* Fri Dec 08 2023 wangkai <13474090681@163.com> - 1:0.31.1-6
- Fix CVE-2022-40898

* Mon Nov 27 2023 liubo <liubo1@xfusion.com> - 1:0.31.1-5
- Enabled Intersphinx linking to Python documentation

* Mon Dec 2 2019 yangjian<yangjian79@huawei.com> - 1:0.31.1-4
- Package init
